## CamelMimeFilterProgress CamelMimeFilterProgress |

## Functions

CamelMimeFilter * | camel_mime_filter_progress_new ()

## Types and Values

struct | CamelMimeFilterProgress

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterProgress

## Description

## Functions

### camel_mime_filter_progress_new ()

    CamelMimeFilter *
    camel_mime_filter_progress_new (GCancellable *cancellable,
                                    gsize total);

Create a new CamelMimeFilterProgress object that will report streaming progress. While the function will silently accept `cancellable` being `NULL` or a plain GCancellable for convenience sake, no progress will be reported unless `cancellable` is a CamelOperation.

#### Parameters

cancellable | a CamelOperation cast as a GCancellable |
total | total number of bytes to report progress on |

#### Returns

a new CamelMimeFilter object

Since: 2.24

## Types and Values

### struct CamelMimeFilterProgress

    struct CamelMimeFilterProgress;

Since: 2.24